# Class CIM_InstIndication
extends CIM_Indication

CIM_InstIndication is an abstract superclass describing changes to instances. Subclasses represent specific types of change notifications, such as instance creation, deletion and modification.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Indication
|
+--CIM_InstIndication

## Direct Known Subclasses

CIM_InstCreation
CIM_InstDeletion
CIM_InstMethodCall
CIM_InstModification
CIM_InstRead

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Description | string | CIM_InstIndication is an abstract superclass describing changes to instances. Subclasses represent specific types of change notifications, such as instance creation, deletion and modification.
Indication | boolean | true
UMLPackagePath | string | CIM::Event
Version | string | 2.29.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
SourceInstance | string |
Description | string | A copy of the instance that changed to generate the Indication. SourceInstance contains the current values of the properties selected by the Indication Filter's Query. In the case of CIM_InstDeletion, the property values are copied before the instance is deleted.
EmbeddedObject | boolean | true
Required | boolean | true
SourceInstanceHost | string |
Description | string | The host name or IP address of the SourceInstance.
ModelCorrespondence | string | CIM_InstIndication.SourceInstance
SourceInstanceModelPath | string |
Description | string | The Model Path of the SourceInstance. The following format MUST be used to encode the Model Path: <NamespacePath>:<ClassName>.<Prop1>="<Value1>", <Prop2>="<Value2>", ...
ModelCorrespondence | string | CIM_InstIndication.SourceInstance

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
IndicationFilterName | string | CIM_Indication
IndicationIdentifier | string | CIM_Indication
IndicationTime | datetime | CIM_Indication
OtherSeverity | string | CIM_Indication
PerceivedSeverity | uint16 | CIM_Indication
SequenceContext | string | CIM_Indication
SequenceNumber | sint64 | CIM_Indication
CorrelatedIndications | string[] | CIM_Indication

## Class Methods